public class Eingangsfuzzyset
{
      private iFuzzygroesse[] fuzzygroesse;
      private double[] erfuelltheit;
      
      public Eingangsfuzzyset(double[] s)
      {
           if(s==null || s.length<2)
           {
               System.out.println("ERROR in Eingangsfuzzyset: zu wenig Stuetzstellen!");
               return;
           }
          
           fuzzygroesse = new iFuzzygroesse[s.length];
           
           fuzzygroesse[0] = new FuzzygroesseLinks(s[0],s[1]);
           fuzzygroesse[fuzzygroesse.length-1] = new FuzzygroesseRechts(s[s.length-2],s[s.length-1]);
           
           for(int i=1;i<s.length-1;i++)
           {
                fuzzygroesse[i] = new FuzzygroesseMitte(s[i-1],s[i],s[i+1]);
           }
           
           erfuelltheit = new double[fuzzygroesse.length];
      }
      
      public double[] berechneErfuelltheit(double x)
      {
           for(int i=0;i<fuzzygroesse.length;i++)
               erfuelltheit[i] = fuzzygroesse[i].berechneErfuelltheit(x);
           return erfuelltheit;    
      }
}
